GET /insights/v1/nfts/transfers/transaction/{transaction_hash}
Get NFT transfers by transaction

Path Parameters

transaction_hash string required path

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
limit integer optional query
Example: 20
page integer | null optional query
Example: 0
metadata string optional query
Example: "false"
include_owners string optional query
Example: "false"
token_types string[] optional query

Responses

200 Success
application/json
data object[] REQUIRED
Array of:
token_id string REQUIRED
chain_id number REQUIRED
block_number string REQUIRED
block_hash string
block_timestamp string REQUIRED
transaction_hash string REQUIRED
from_address string REQUIRED
to_address string REQUIRED
log_index number REQUIRED
contract_address string REQUIRED
transfer_type string REQUIRED
Enum: mint, sale, transfer
token_type string REQUIRED
Enum: erc721, erc1155
amount string REQUIRED
nft_metadata object
name string
description string
image_url string
video_url string
animation_url string
background_color string
external_url string
status string
metadata_url string
owner_addresses string[]
Array of:
extra_metadata unknown
collection object
name string
description string
image_url string
banner_image_url string
featured_image_url string
external_link string
contract object
chain_id number REQUIRED
The chain ID of a relevant entry
address string REQUIRED
name string
symbol string
type string
Enum: erc721, erc1155
nft_sale object
transaction_hash string REQUIRED
items_sold object[] REQUIRED
Array of:
token_address string REQUIRED
token_id string REQUIRED
amount string REQUIRED
token_type string REQUIRED
from_address string
to_address string
payment object[] REQUIRED
Array of:
token_address string REQUIRED
token_id string REQUIRED
amount string REQUIRED
token_type string REQUIRED
from_address string
to_address string
marketplace_address string REQUIRED
marketplace_name string REQUIRED
404 Not found
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/nfts/transfers/transaction/string'
const response = await fetch('https://data-api.b3.fun//insights/v1/nfts/transfers/transaction/string', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//insights/v1/nfts/transfers/transaction/string')print(response.json())
200 Response
{  "data": [    {      "token_id": "<string>",      "chain_id": 123,      "block_number": "<string>",      "block_hash": "<string>",      "block_timestamp": "<string>",      "transaction_hash": "<string>",      "from_address": "<string>",      "to_address": "<string>",      "log_index": 123,      "contract_address": "<string>",      "transfer_type": "mint",      "token_type": "erc721",      "amount": "<string>",      "nft_metadata": {        "name": "<string>",        "description": "<string>",        "image_url": "<string>",        "video_url": "<string>",        "animation_url": "<string>",        "background_color": "<string>",        "external_url": "<string>",        "status": "<string>",        "metadata_url": "<string>",        "owner_addresses": [          "<string>"        ],        "extra_metadata": {          "attributes": {},          "properties": "<object>"        },        "collection": {          "name": "<string>",          "description": "<string>",          "image_url": "<string>",          "banner_image_url": "<string>",          "featured_image_url": "<string>",          "external_link": "<string>"        },        "contract": {          "chain_id": 1,          "address": "vitalik.eth",          "name": "<string>",          "symbol": "<string>",          "type": "erc721"        }      },      "nft_sale": {        "transaction_hash": "<string>",        "items_sold": [          {            "token_address": {},            "token_id": {},            "amount": {},            "token_type": {},            "from_address": {},            "to_address": {}          }        ],        "payment": [          {            "token_address": {},            "token_id": {},            "amount": {},            "token_type": {},            "from_address": {},            "to_address": {}          }        ],        "marketplace_address": "<string>",        "marketplace_name": "<string>"      }    }  ]}
Ask a question... ⌘I